Bric::Biz::Asset::Business::Media::Video - the media class that represents static videos $LastChangedRevision$ $Data$ # Creation of new Video objects $video = Bric::Biz::Asset::Business::Media::Video->new( $init ) $video = Bric::Biz::Asset::Business::Media::Video->lookup( { id => $id }) ($videos || @videos) = Bric::Biz::Asset::Business::Media::Video->list( $param) # list of ids ($id_list || @ids) = Bric::Biz::Asset::Business::Media::Video->list_ids($param) The Subclass of Media that pretains to Videos

Constructrs
This will create a new video object. Supported Keys: Put Itmes here Throws: NONE Side Effects: NONE Notes: NONE This will return the matched looked up object Throws: NONE Side Effects: NONE Notes: NONE Returns a list of video objects that match the params passed in Throws: NONE Side Effects: NONE Notes: NONE

Destructors
dummy method to not wast the time of AUTHLOAD

Public Class Methods
Returns a list of ids that match the particular params Supported Keys: Put Keys Here Throws: NONE Side Effects: NONE Notes: NONE Returns the class id of the Video class Throws: NONE Side Effects: NONE Notes: NONE Returns the key name of this class. Throws: NONE. Side Effects: NONE. Notes: NONE. Data Dictionary for introspection of the object Throws: NONE Side Effects: NONE Notes: NONE

Public Instance Methods
NONE NONE

Private Class Methods
NONE

Private Instance Methods
NONE NONE "Michael Soderstrom" <miraso@pacbell.net> perl , Bric, Bric::Biz::Asset, Bric::Biz::Asset::Business, Bric::Biz::Asset::Business::Media